import services from '@/services';
import { useState } from 'react';

/**
 * 地区指数
 * @module TheOperationOfTheDistrictCityAndCounty
 * @description 地区列表的管理
 *
 */
const useRegionalIndex = () => {
  const [areaListDto, setAreaListDto] = useState<
    DistrictAPI.RealtimeIndexDTO[]
  >([]);
  /** 当前选择的区市县 */
  const [selectDistrict, setSelectDistrict] =
    useState<DistrictAPI.RealtimeIndexDTO>();

  /** 列表加载状态 */
  const [loading, setLoading] = useState(false);

  /** 获取地区列表 */
  const getAreaListDto = async () => {
    setLoading(true);

    services.districtController
      .getDistrictIndexList()
      .then((res) => {
        setAreaListDto(res.data);
      })
      .finally(() => {
        setLoading(false);
      });
  };

  return {
    areaListDto,
    loading,
    getAreaListDto,
    selectDistrict,
    setSelectDistrict,
  };
};

export default useRegionalIndex;
